<?php
/**
 * HideEmail - Configuration
 * 
 * Macro to obfuscate mailto link in a-href to prevent spammer
 *
 * @copyright 2020 ABC Web Design Agency
 *
 * @license MIT
 *
 * @package hideemail
 * @version 1.0
 * @author  ABC Web Design Agency <info@mycompany.com>
 * @link    https://www.mycompany.com
 */
if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
<h3><?= ___('Hide Email Macro') ?></h3>
<p>This macro converts <?= ___h('<a href="mailto:email@example.com">Email</a>') ?> to obfuscated Javascript code to prevent email harvesting</p>

<schlix-config:textbox config-key="str_text_to_display" label="<?= ('Text to display to spider bots') ?>" config-default-value="xxxxxxxxxxx" placeholder="<?= ___('Type the text to display when Javascript is disabled') ?>" />
